Open CASCADE Technology
7.3.0
|
Provides methods to build wires. More...
#include <BRepLib_MakeWire.hxx>
Public Member Functions | |
BRepLib_MakeWire () | |
NotDone MakeWire. More... | |
BRepLib_MakeWire (const TopoDS_Edge &E) | |
Make a Wire from an edge. More... | |
BRepLib_MakeWire (const TopoDS_Edge &E1, const TopoDS_Edge &E2) | |
Make a Wire from two edges. More... | |
BRepLib_MakeWire (const TopoDS_Edge &E1, const TopoDS_Edge &E2, const TopoDS_Edge &E3) | |
Make a Wire from three edges. More... | |
BRepLib_MakeWire (const TopoDS_Edge &E1, const TopoDS_Edge &E2, const TopoDS_Edge &E3, const TopoDS_Edge &E4) | |
Make a Wire from four edges. More... | |
BRepLib_MakeWire (const TopoDS_Wire &W) | |
Make a Wire from a Wire. Usefull for adding later. More... | |
BRepLib_MakeWire (const TopoDS_Wire &W, const TopoDS_Edge &E) | |
Add an edge to a wire. More... | |
void | Add (const TopoDS_Edge &E) |
Add the edge <E> to the current wire. More... | |
void | Add (const TopoDS_Wire &W) |
Add the edges of <W> to the current wire. More... | |
void | Add (const TopTools_ListOfShape &L) |
Add the edges of <L> to the current wire. The edges are not to be consecutive. But they are to be all connected geometrically or topologically. More... | |
BRepLib_WireError | Error () const |
const TopoDS_Wire & | Wire () |
Returns the new wire. More... | |
operator TopoDS_Wire () | |
const TopoDS_Edge & | Edge () const |
Returns the last edge added to the wire. More... | |
const TopoDS_Vertex & | Vertex () const |
Returns the last connecting vertex. More... | |
Public Member Functions inherited from BRepLib_MakeShape | |
void | Build () |
This is called by Shape(). It does nothing but may be redefined. More... | |
const TopoDS_Shape & | Shape () |
operator TopoDS_Shape () | |
virtual BRepLib_ShapeModification | FaceStatus (const TopoDS_Face &F) const |
returns the status of the Face after the shape creation. More... | |
virtual Standard_Boolean | HasDescendants (const TopoDS_Face &F) const |
Returns True if the Face generates new topology. More... | |
virtual const TopTools_ListOfShape & | DescendantFaces (const TopoDS_Face &F) |
returns the list of generated Faces. More... | |
virtual Standard_Integer | NbSurfaces () const |
returns the number of surfaces after the shape creation. More... | |
virtual const TopTools_ListOfShape & | NewFaces (const Standard_Integer I) |
Return the faces created for surface I. More... | |
virtual const TopTools_ListOfShape & | FacesFromEdges (const TopoDS_Edge &E) |
returns a list of the created faces from the edge <E>. More... | |
Public Member Functions inherited from BRepLib_Command | |
virtual | ~BRepLib_Command () |
Standard_Boolean | IsDone () const |
void | Check () const |
Raises NotDone if done is false. More... | |
Additional Inherited Members | |
Protected Member Functions inherited from BRepLib_MakeShape | |
BRepLib_MakeShape () | |
Protected Member Functions inherited from BRepLib_Command | |
BRepLib_Command () | |
Set done to False. More... | |
void | Done () |
Set done to true. More... | |
void | NotDone () |
Set done to false. More... | |
Protected Attributes inherited from BRepLib_MakeShape | |
TopoDS_Shape | myShape |
TopTools_ListOfShape | myGenFaces |
TopTools_ListOfShape | myNewFaces |
TopTools_ListOfShape | myEdgFaces |
Provides methods to build wires.
A wire may be built :
. Through an existing vertex. The edge is shared.
. Through a geometric coincidence of vertices. The edge is copied and the vertices from the edge are replaced by the vertices from the wire.
. The new edge and the connection vertices are kept by the algorithm.
BRepLib_MakeWire MW;
// for all the edges ... MW.Add(anEdge);
TopoDS_Wire W = MW;
BRepLib_MakeWire::BRepLib_MakeWire | ( | ) |
NotDone MakeWire.
BRepLib_MakeWire::BRepLib_MakeWire | ( | const TopoDS_Edge & | E | ) |
Make a Wire from an edge.
BRepLib_MakeWire::BRepLib_MakeWire | ( | const TopoDS_Edge & | E1, |
const TopoDS_Edge & | E2 | ||
) |
Make a Wire from two edges.
BRepLib_MakeWire::BRepLib_MakeWire | ( | const TopoDS_Edge & | E1, |
const TopoDS_Edge & | E2, | ||
const TopoDS_Edge & | E3 | ||
) |
Make a Wire from three edges.
BRepLib_MakeWire::BRepLib_MakeWire | ( | const TopoDS_Edge & | E1, |
const TopoDS_Edge & | E2, | ||
const TopoDS_Edge & | E3, | ||
const TopoDS_Edge & | E4 | ||
) |
Make a Wire from four edges.
BRepLib_MakeWire::BRepLib_MakeWire | ( | const TopoDS_Wire & | W | ) |
Make a Wire from a Wire. Usefull for adding later.
BRepLib_MakeWire::BRepLib_MakeWire | ( | const TopoDS_Wire & | W, |
const TopoDS_Edge & | E | ||
) |
Add an edge to a wire.
void BRepLib_MakeWire::Add | ( | const TopoDS_Edge & | E | ) |
Add the edge <E> to the current wire.
void BRepLib_MakeWire::Add | ( | const TopoDS_Wire & | W | ) |
Add the edges of <W> to the current wire.
void BRepLib_MakeWire::Add | ( | const TopTools_ListOfShape & | L | ) |
Add the edges of <L> to the current wire. The edges are not to be consecutive. But they are to be all connected geometrically or topologically.
const TopoDS_Edge& BRepLib_MakeWire::Edge | ( | ) | const |
Returns the last edge added to the wire.
BRepLib_WireError BRepLib_MakeWire::Error | ( | ) | const |
BRepLib_MakeWire::operator TopoDS_Wire | ( | ) |
const TopoDS_Vertex& BRepLib_MakeWire::Vertex | ( | ) | const |
Returns the last connecting vertex.
const TopoDS_Wire& BRepLib_MakeWire::Wire | ( | ) |
Returns the new wire.